com.smartgwt.client.bean

## Class BeanFactoryForDataClass<BeanClass extends DataClass>

- java.lang.Object
- - com.smartgwt.client.bean.BeanFactory<BeanClass>
  - - com.smartgwt.client.bean.BeanFactoryForDataClass<BeanClass>

-     public abstract class BeanFactoryForDataClass<BeanClass extends DataClass>
      extends BeanFactory<BeanClass>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanFactory

      `BeanFactory.CanvasMetaFactory, BeanFactory.FormItemMetaFactory, BeanFactory.MetaFactory`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.bean.BeanFactory

      `properties, sgwtFactory, superclassFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanFactoryForDataClass()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `doGetOrCreateJsObj(java.lang.Object bean)`
    `protected java.lang.Object` | `getJavascriptProperty(BeanClass bean, java.lang.String property)`
    `protected void` | `setJavascriptProperty(BeanClass bean, java.lang.String propertyName, java.lang.Object value)`

    - ### Methods inherited from class com.smartgwt.client.bean.BeanFactory

      `createSuperclassFactory, doGetProperty, doGetPropertyAsString, doSetProperty, getAttributes, getAttributes, getAttributes, getBeanClass, getBeanClassName, getFactory, getFactory, getFactory, getMethods, getOrCreateJsObj, getProperties, getProperty, getPropertyAsString, getSGWTModule, getSuperclass, newInstance, newInstance, newInstance, noFactoryException, noFactoryException, registerClassNameWithSGWTFactory, registerFactory, registerValueTypes, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanFactoryForDataClass

          public BeanFactoryForDataClass()

  - ### Method Detail

    - #### setJavascriptProperty

          protected void setJavascriptProperty(BeanClass bean,
                                   java.lang.String propertyName,
                                   java.lang.Object value)

      Specified by:
        `setJavascriptProperty` in class `BeanFactory<BeanClass extends DataClass>`

    - #### getJavascriptProperty

          protected java.lang.Object getJavascriptProperty(BeanClass bean,
                                               java.lang.String property)

      Specified by:
        `getJavascriptProperty` in class `BeanFactory<BeanClass extends DataClass>`

    - #### doGetOrCreateJsObj

          public com.google.gwt.core.client.JavaScriptObject doGetOrCreateJsObj(java.lang.Object bean)

      Specified by:
        `doGetOrCreateJsObj` in class `BeanFactory<BeanClass extends DataClass>`